routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', 'HomeController@index')->name('admin');
Route::get('/reset-password', function () {
    return View::make('reset-password');
});

Auth::routes();

Route::group(['prefix' => 'admin', 'middleware' => ['auth']],function(){
	Route::get('/dashboard', 'DashboardController@index')->name('dashboard');
	Route::get('users/blocked/{id}', 'UserController@block');
	Route::get('export', 'UserController@export')->name('export');
	Route::resource('users', 'UserController');
	Route::get('workoutPlans/deactivate/{id}', 'WorkoutPlanController@deactivate');
	Route::get('workoutPlans/getSubcategory', 'WorkoutPlanController@getSubcategory')->name('getSubcategory');
	Route::resource('workoutPlans', 'WorkoutPlanController');
	Route::resource('cms', 'CmsPageController');
	Route::get('edit-profile', 'ProfileController@editProfile')->name('edit.profile');
	Route::put('update-profile', 'ProfileController@updateProfile')->name('update.profile');
	Route::get('change-password', 'ProfileController@changePassword')->name('change.password');
	Route::put('update-password', 'ProfileController@updatePassword')->name('update.password');
	Route::resource('subscriptions', 'SubscriptionController');
	Route::resource('forums', 'CommunityBoardController');
	Route::post('forum-comment-delete/{id}', 'CommunityBoardController@deleteComment')->name('delete-comment');
	Route::resource('contactUs', 'InquiryController');
	Route::resource('categories', 'CategoryController');
	Route::resource('subcategories', 'SubcategoryController');
	Route::resource('ageGroups', 'AgeGroupController');
	Route::resource('routines', 'RoutineController');
	Route::resource('reported-forums', 'ReportedForumController');
});

Route::get('cms/{slug}', 'CmsPageController@view_cms');

resources/views/cms_view.blade.php
<style>
.cms-content-wrap{
	padding: 0 20px;
}
.cms-content-wrap:before {
    content: '';
    width: 100vw;
    height: 100vh;
    position: fixed;
    top: 0;
	left: 0;
    background: linear-gradient(to top, #9e89e6, #9e89e6, #86b2ef, #86b2ef);
    z-index: -1;
}
.cms-content {
    background: #fff;
    border-radius: 10px;
    margin: 30px auto 50px;
    padding: 15px 25px;
}
.cms-content p {
    word-break: break-word;
}
</style>

@extends('layouts.default')

@section('content')
@if($cms)
	<div class="cms-content-wrap">
		<div class="container cms-content">
	  	{!! $cms->content !!}
		</div>
	</div>
@else
	<div class="jumbotron text-center">
	  	<h1>Page content not found.</h1>
	  	<hr>
	</div>
@endif

@endsection

resources/views/home.blade.php
@extends('layouts.web')

@section('top-css')
 <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">

<script type="text/javascript" src="https://momentjs.com/downloads/moment-with-locales.min.js"></script>
<link rel="stylesheet" href="{{ asset('admin/assets1/material_datetimepicker/css/bootstrap-material-datetimepicker.css') }}" />
<script type="text/javascript" src="{{ asset('admin/assets1/material_datetimepicker/js/bootstrap-material-datetimepicker.js') }}"></script>
@endsection
@section('content')
<div class="page-wrapper">
     <div class="page-breadcrumb">
        <div class="row">
            <div class="col-12 d-flex no-block align-items-center">
                <h4 class="page-title">Dashboard</h4>
            </div>
        </div>
    </div>
        @include('flash::message')
    <div class="container-fluid">
        <div class="row">
            <!-- Column -->
            <div class="col-md-6 col-lg-2 col-xlg-3">
                <a href = "{{ route('users.index') }}">
                    <div class="card card-hover">
                        <div class="box bg-cyan text-center">
                            <h1 class="font-light text-white"><i class="mdi mdi-account-multiple"></i></h1>
                            <h6 class="text-white">Users</h6>
                        </div>
                    </div>
                 </a>
            </div>
            <!-- Column -->
            <div class="col-md-6 col-lg-2 col-xlg-3">
                <a href = "{{ route('workoutPlans.index') }}">
                    <div class="card card-hover">
                        <div class="box bg-danger text-center">
                            <h1 class="font-light text-white"><i class="mdi mdi-file-document"></i></h1>
                            <h6 class="text-white">WorkOut Plans</h6>
                        </div>
                    </div>
                </a>
            </div>
            <!-- Column -->
            <div class="col-md-6 col-lg-2 col-xlg-3">
                <a href = "{{ route('subscriptions.index') }}">
                    <div class="card card-hover">
                        <div class="box bg-info text-center">
                            <h1 class="font-light text-white"><i class="far fa-list-alt"></i></h1>
                            <h6 class="text-white">Subscription Plans</h6>
                        </div>
                    </div>
                </a>
            </div>
            <!-- Column -->
            <div class="col-md-6 col-lg-2 col-xlg-3">
                <a href = "{{ route('contactUs.index') }}">
                    <div class="card card-hover">
                        <div class="box bg-cyan text-center">
                            <h1 class="font-light text-white"><i class="mdi mdi-email-alert"></i></h1>
                            <h6 class="text-white">Contact Us</h6>
                        </div>
                    </div>
                </a>
            </div>
        </div>
        <!-- ============================================================== -->
        <!-- Sales chart -->
        <!-- ============================================================== -->
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="d-md-flex align-items-center">
                            <div>
                                <h4 class="card-title">Site Analysis</h4>
                                <h5 class="card-subtitle">Overview of Latest Year</h5>
                            </div>
                        </div>
                        <div class="row">
                          <div class="selectdate col-md-6">
                            <form method="GET">
                              <input type="text" id="start_date" class="form-control floating-label" placeholder="Start Date" style="max-width: 120px;float: left; margin-right: 30px" name="start_date" value="{{  old('start_date', Session::get('start_date')) }}" >
                              <span style="display: inline;float: left;margin-right: 30px;">To </span>
                              <input type="text" id="end_date" class="form-control floating-label" placeholder="End Date" style="max-width: 120px;float: left; margin-right: 30px" name="end_date" value="{{ old('end_date', Session::get('end_date')) }}" >
                              <input type="submit" value="Search">
                              
                            </form>
                            <script>
                              $('#start_date').bootstrapMaterialDatePicker({
                                  format : 'MM/DD/YYYY',
                                  //weekStart : 0, 
                                  time: false ,
                                  //minDate : new Date(),
                              }).on('change', function(e, date){ 
                                  $('#end_date').bootstrapMaterialDatePicker('setMinDate', date);
                               });

                              $('#end_date').bootstrapMaterialDatePicker({
                                  format : 'MM/DD/YYYY',
                                  //weekStart : 0, 
                                  time: false ,
                                  maxDate : new Date(),
                              }).on('change', function(e, date){  });
                            </script>
                          </div>
                           <div class="col-md-6">
                              <a href="{{ route('dashboard') }}" onclick="ClearFields();"><button class="btn btn-info">Refresh</button></a>
                            </div>
                        </div>
                        <div class="row">
                            <!-- column -->
                            <div class="col-lg-10">
                                <div class="chart-container">
                                    <div class="row pie-chart-container">
                                        <div class="col-lg-6">
                                            <canvas id="pie-chart-user"></canvas>
                                        </div>
                                        <div class="col-lg-6">
                                            <canvas id="pie-chart-workout"></canvas>
                                        </div>
                                        <div class="col-lg-6">
                                            <canvas id="pie-chart-contactUs"></canvas>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-2">
                                <div class="row">
                                    <div class="col-6">
                                        <div class="bg-dark p-10 text-white text-center">
                                           <i class="fa fa-user m-b-5 font-16"></i>
                                           <h5 class="m-b-0 m-t-5">{{ $totalUsers }}</h5>
                                           <small class="font-light">Total Users</small>
                                        </div>
                                    </div>
                                    <div class="col-6">
                                        <div class="bg-dark p-10 text-white text-center">
                                           <i class="fa fa-user m-b-5 font-16"></i>
                                           <h5 class="m-b-0 m-t-5">{{ $newUsers }}</h5>
                                           <small class="font-light">New Users</small>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                            <!-- column -->
                            <div class="col-lg-12">
                                <div class="chart-container">
                                    <div class="row pie-chart-container">
                                        <div class="col-lg-12">
                                            <canvas id="pie-chart-contactUs"></canvas>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <!-- column -->
                        </div>
                            <!-- column -->
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
@section('footer-script')

<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
<script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.8.0/Chart.js"></script>
<script src="https://code.jquery.com/jquery-3.3.1.min.js"></script>
<script type="text/javascript">
$(function(){

  function ClearFields() {
    alert('hello');
     document.getElementById("start_date").value = "";
     document.getElementById("end_date").value = "";
  }

  //get the pie chart canvas
  var cData = JSON.parse(`<?php echo $chartData['user_data']; ?>`);
  var ctx = $("#pie-chart-user");

  //pie chart data
  var data = {
    labels: cData.label,
    datasets: [
      {
        label: "Users Count",
        data: cData.data,
        backgroundColor: [
          "#DEB887",
          "#A9A9A9",
          "#DC143C",
          "#F4A460",
          "#2E8B57",
          "#1D7A46",
          "#CDA776",
        ],
        borderColor: [
          "#CDA776",
          "#989898",
          "#CB252B",
          "#E39371",
          "#1D7A46",
          "#F4A460",
          "#CDA776",
        ],
        borderWidth: [1, 1, 1, 1, 1,1,1]
      }
    ]
  };

  //options
  var options = {
    responsive: true,
    title: {
      display: true,
      position: "top",
      text: "Registered Users -  Month Wise Count",
      fontSize: 18,
      fontColor: "#111"
    },
    legend: {
      display: true,
      position: "bottom",
      labels: {
        fontColor: "#333",
        fontSize: 16
      }
    }
  };

  //create Pie Chart class object
  var chart1 = new Chart(ctx, {
    type: "pie",
    data: data,
    options: options
  });
});
  
$(function(){
  //get the pie chart canvas
  var cData = JSON.parse(`<?php echo $chartData['workout_data']; ?>`);
  var ctx = $("#pie-chart-workout");

  //pie chart data
  var data = {
    labels: cData.label,
    datasets: [
      {
        label: "Workout Plans Count",
        data: cData.data,
        backgroundColor: [
          "#DEB887",
          "#A9A9A9",
          "#DC143C",
          "#F4A460",
          "#2E8B57",
          "#1D7A46",
          "#CDA776",
        ],
        borderColor: [
          "#CDA776",
          "#989898",
          "#CB252B",
          "#E39371",
          "#1D7A46",
          "#F4A460",
          "#CDA776",
        ],
        borderWidth: [1, 1, 1, 1, 1,1,1]
      }
    ]
  };

  //options
  var options = {
    responsive: true,
    title: {
      display: true,
      position: "top",
      text: "Workout Plans -  Month Wise Count",
      fontSize: 18,
      fontColor: "#111"
    },
    legend: {
      display: true,
      position: "bottom",
      labels: {
        fontColor: "#333",
        fontSize: 16
      }
    }
  };

  //create Pie Chart class object
  var chart1 = new Chart(ctx, {
    type: "pie",
    data: data,
    options: options
  });
});
  
$(function(){
  //get the pie chart canvas
  var cData = JSON.parse(`<?php echo $chartData['contactUs']; ?>`);
  var ctx = $("#pie-chart-contactUs");

  //pie chart data
  var data = {
    labels: cData.label,
    datasets: [
      {
        label: "Users Contacted Count",
        data: cData.data,
        backgroundColor: [
          "#DEB887",
          "#A9A9A9",
          "#DC143C",
          "#F4A460",
          "#2E8B57",
          "#1D7A46",
          "#CDA776",
        ],
        borderColor: [
          "#CDA776",
          "#989898",
          "#CB252B",
          "#E39371",
          "#1D7A46",
          "#F4A460",
          "#CDA776",
        ],
        borderWidth: [1, 1, 1, 1, 1,1,1]
      }
    ]
  };

  //options
  var options = {
    responsive: true,
    title: {
      display: true,
      position: "top",
      text: "Contacted Users -  Month Wise Count",
      fontSize: 18,
      fontColor: "#111"
    },
    legend: {
      display: true,
      position: "bottom",
      labels: {
        fontColor: "#333",
        fontSize: 16
      }
    }
  };

  //create Pie Chart class object
  var chart1 = new Chart(ctx, {
    type: "pie",
    data: data,
    options: options
  });
});
</script>

@endsection

resources/views/reset-password.blade.php
@extends('layouts.default')

@section('content')
<div class="page-wrapper">
     <div class="page-breadcrumb">
        <div class="row">
            <div class="col-12 d-flex no-block align-items-center">
                <h4 class="page-title">You have successfully changed your password.</h4>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/thank-you.blade.php
<!DOCTYPE html>
<html lang="en">
<head>
  <title></title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.1/css/all.css">
  <style>
	.thank-you-content-wrap{
		padding: 0 20px;
	}
	.thank-you-content-wrap:before {
		content: '';
		width: 100vw;
		height: 100vh;
		position: fixed;
		top: 0;
		left: 0;
		background: linear-gradient(to top, #9e89e6, #9e89e6, #86b2ef, #86b2ef);
		z-index: -1;
	}
	.thank-you-content-wrap .thank-you-content {
		background: #fff;
		border-radius: 10px;
		margin: 30px auto 50px;
		padding: 15px 25px;
		max-width: 500px;
		box-shadow: 0 0 5px #efefef;
		text-align: center;
	}
	.thank-you-content-wrap .success-check{
	    font-size: 50px;
		color: #058c05;
	}
	.thank-you-content-wrap h2{
		font-weight: 100;
		margin-bottom: 0;
	}
	.thank-you-content-wrap h1{
		margin-top: 10px;
	}
	.thank-you-content-wrap img{
		width: 130px;box-shadow: 0px 0px 20px #dcdcdc;border-radius: 50%;
	}
	.thank-you-content-wrap p{
		text-decoration: none;background: linear-gradient(to top, #9e89e6, #86b2ef);color: #fff;font-size: 20px;padding: 7px 15px;display: block;border-radius: 5px;margin: 5px 0;width: 178px;margin: 20px auto 10px;
	}
	</style>
</head>
<body>
<div class="thank-you-content-wrap">
	<div class="container thank-you-content">
		<i class="fas fa-check-circle success-check"></i>
		<h2>Thank You for verifying </h2>
		<h1>Welcome to moFITMOM<sup>tm</sup></h1>
		<img src="{{ asset('images/logo.png') }}" >
		<h2>Please login via App</h2>
	</div>
</div>
</body>
</html>